LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XCompletedExecution Interface Referencepublished

is used for execution where information for execution may be required from the user. More...

`import <XCompletedExecution.idl;`

Inheritance diagram for XCompletedExecution:

## Public Member Functions
void | executeWithCompletion ([in]com::sun::star::task::XInteractionHandler handler) raises (com::sun::star::sdbc::SQLException)
| completes necessary information before execution, for example parameter values.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

is used for execution where information for execution may be required from the user.

## Member Function Documentation

## ◆ executeWithCompletion()

void executeWithCompletion | ( | [in] com::sun::star::task::XInteractionHandler | handler | ) |
raises | ( | com::sun::star::sdbc::SQLException ) |  |  |

completes necessary information before execution, for example parameter values.

Parameters

  handler | will be asked when more information is needed

Exceptions

  com::sun::star::sdbc::SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/XCompletedExecution.idl